Receipt String Data
For integrators that want to generate their own card payment receipts via their EPOS setup, axept® PRO provides the same Merchant and Cardholder receipt fields that it uses to generate its own receipts in a data string. This string data can be obtained from within the body of a GET/transaction response under merchantReceiptData and cardholderReceiptData for each respective receipt type.
More information about GET/transaction requests can be found in the GET /transaction section of the Transaction Request section.
The string data under merchantReceiptData and cardholderReceiptData is made up of the elements in the below table
Some fields may not appear merchantReceiptData and cardholderReceiptData contain fields that are specific to their own receipt types, i.e. some fields will only appear on a merchant receipt or cardholder receipt. There are also only certain fields that will appear if configured to require them, for example Dynamic Currency Conversion or Pennies.
String Data Field Table
| Value | Description | ||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| addressLine0 | The Merchant Store Name field from the Merchant Store of the Optomany merchant account. | ||||||||||||||||||||||||||||||||
| addressLine1 | The Address Line 1 field from the Merchant Store of the Optomany merchant account. | ||||||||||||||||||||||||||||||||
| addressLine2 | The Address Line 2 field from the Merchant Store of the Optomany merchant account. | ||||||||||||||||||||||||||||||||
| addressLine3 | The Address Line 3 field from the Merchant Store of the Optomany merchant account. | ||||||||||||||||||||||||||||||||
| addressLine4 | The Town/City field from the Merchant Store of the Optomany merchant account. | ||||||||||||||||||||||||||||||||
| addressLine5 | The County field from the Merchant Store of the Optomany merchant account. | ||||||||||||||||||||||||||||||||
| addressLine6 | The Post Code field from the Merchant Store of the Optomany merchant account. | ||||||||||||||||||||||||||||||||
| dateTime | The date and time of the transaction. Formatted as YYYY-MM-DD HH:MM:SS. | ||||||||||||||||||||||||||||||||
| pid | This is an identifier for the transaction from Optomany’s central host (the axept® Platform). | ||||||||||||||||||||||||||||||||
| mid | Reflects the merchant identifier used when processing the transaction. | ||||||||||||||||||||||||||||||||
| tid | Reflects the terminal identifier used when processing the transaction. | ||||||||||||||||||||||||||||||||
| aid | If the card was captured via EMV or Contactless, this field will provide the application identifier of the presented card. | ||||||||||||||||||||||||||||||||
| receiptNo | The receipt number for this transaction. | ||||||||||||||||||||||||||||||||
| appSeqNo | Reserved for future use. | ||||||||||||||||||||||||||||||||
| captureMethod | This shows by what means the card information was captured by axept® PRO, e.g. ICC for Chip n PIN. | ||||||||||||||||||||||||||||||||
| cardType | The capture methods of the card. Possible values are:
| ||||||||||||||||||||||||||||||||
| maskedPan | The masked PAN (Primary Account Number) of the card. The string length reflects the length of the PAN but only the last 4 digits will be provided, the preceding digits are obfuscated with asterisks e.g. ************5454. | ||||||||||||||||||||||||||||||||
| transactionType | Provides the transaction type that was performed:
| ||||||||||||||||||||||||||||||||
| amount | Amount of the transaction in minor units not including cashback/tips etc. For example, £10.00 would be represented as 1000. | ||||||||||||||||||||||||||||||||
| tip | Amount of the gratuity in minor units. For example, £5.00 would be represented as 500. | ||||||||||||||||||||||||||||||||
| charitableDonation | Amount of charitable donation in minor units. For example, £0.50 would be represented as 50. | ||||||||||||||||||||||||||||||||
| exchangeRate | Conversion rate used to obtain the Billing (DCC) Amount. Present only when DCC was accepted. | ||||||||||||||||||||||||||||||||
| markup | The Markup % used for the currency exchange. Present only when DCC was accepted. | ||||||||||||||||||||||||||||||||
| rateSource | The FX Rate source. Present only when DCC was accepted. | ||||||||||||||||||||||||||||||||
| rrn | Retrieval Reference Number used by acquirers for reconciliation purposes. Present only when DCC was accepted. | ||||||||||||||||||||||||||||||||
| dccBillingAmount | Billing (DCC) Amount. Present only when DCC was accepted. | ||||||||||||||||||||||||||||||||
| dccDisclaimer | Disclaimer required for receipts. Present only when DCC was accepted. | ||||||||||||||||||||||||||||||||
| authenticationResult | The result of the authentication request, e.g. "Authorised" or "Declined". | ||||||||||||||||||||||||||||||||
| responseCode | The 2-digit response code from the acquirer. Common response codes are:
| ||||||||||||||||||||||||||||||||
| verificationDetails | Cardholder verification method used for the transaction, e.g. "CARDHOLDER PIN VERIFIED". | ||||||||||||||||||||||||||||||||
| debitTxt | First part of text containing confirmation of account debit, required for Merchant Receipts. Only present on Merchant receipts. | ||||||||||||||||||||||||||||||||
| transactionAmountShown | Second part of text containing confirmation of account debit, required for Merchant Receipts. Only present on Merchant receipts. | ||||||||||||||||||||||||||||||||
| authCode | The authorisation code returned from the acquirer (e.g. 123ABC). | ||||||||||||||||||||||||||||||||
| reference | This reference supplied by the integrated client when the transaction was initiated. | ||||||||||||||||||||||||||||||||
| receiptType | Text that indicates the type of printed receipt, choice between "**MERCHANT COPY**" or "**CARDHOLDER COPY**" | ||||||||||||||||||||||||||||||||
| retainReceipt | Text informing the customer to retain Cardholder Receipt for records. Only present on Cardholder receipts. | ||||||||||||||||||||||||||||||||
| penniesTxt1 | First part of text for charity disclaimer when taking donations. Present only when Pennies setup. | ||||||||||||||||||||||||||||||||
| penniesTxt2 | Second part of text for charity disclaimer when taking donations. Present only when Pennies setup. | ||||||||||||||||||||||||||||||||
| pennies | Thank you message containing the donation value of the transaction. Present only when Pennies setup. |
Example
The below is an extract from a GET/transaction response body showing the merchantReceiptData and cardholderReceiptData strings as they would appear.
"merchantReceiptData": {
"addressLine0": "axept PRO",
"addressLine1": "Address Line 1",
"addressLine2": "Address Line 2",
"addressLine4": "Town",
"addressLine5": "County",
"addressLine6": "AB12 3CD",
"dateTime": "14/11/2025 12:42:54",
"pid": "40836/21",
"mid": "82699900002",
"tid": "03400218",
"aid": "A0000000041010",
"receiptNo": "15",
"appSeqNo": "0",
"captureMethod": "ICC",
"cardType": "MasterCard",
"maskedPan": "************1707",
"transactionType": "SALE",
"amount": "£ 100.00",
"tip": "£ 3.05",
"charitableDonation": "£ 0.05",
"exchangeRate": " 1 GBP=5112.605 COP",
"markup": "4.0%",
"rateSource": "Visa",
"rrn": "531874025374",
"dccBillingAmount": "527,109.55",
"dccDisclaimer": "I have been offered a choice of currencies and agree to pay in COP\nThis currency conversion service is provided to the merchant by DNA Payments",
"authenticationResult": "AUTHORISED",
"responseCode": "00",
"verificationDetails": "CARDHOLDER PIN VERIFIED",
"debitTxt": "Please debit my account with",
"transactionAmountShown": "Transaction Amount Shown",
"authCode": "386586",
"reference": "TEST",
"receiptType": "**MERCHANT COPY**",
"penniesTxt1": "Charity Information",
"penniesTxt2": "www.pennies.org.uk",
"pennies": "Thank you for your donation of £ 0.05"
},
"cardholderReceiptData": {
"addressLine0": "axept PRO",
"addressLine1": "Address Line 1",
"addressLine2": "Address Line 2",
"addressLine4": "Town",
"addressLine5": "County",
"addressLine6": "AB12 3CD",
"dateTime": "14/11/2025 12:42:54",
"pid": "40836/21",
"mid": "*******0002",
"tid": "****0218",
"aid": "A0000000041010",
"receiptNo": "15",
"appSeqNo": "0",
"captureMethod": "ICC",
"cardType": "MasterCard",
"maskedPan": "************1707",
"transactionType": "SALE",
"amount": "£ 100.00",
"tip": "£ 3.05",
"charitableDonation": "£ 0.05",
"exchangeRate": " 1 GBP=5112.605 COP",
"markup": "4.0%",
"rateSource": "Visa",
"rrn": "531874025374",
"dccBillingAmount": "527,109.55",
"dccDisclaimer": "I have been offered a choice of currencies and agree to pay in COP\nThis currency conversion service is provided to the merchant by DNA Payments",
"authenticationResult": "AUTHORISED",
"responseCode": "00",
"verificationDetails": "CARDHOLDER PIN VERIFIED",
"authCode": "386586",
"reference": "TEST",
"receiptType": "**CARDHOLDER COPY**",
"retainReceipt": "PLEASE RETAIN RECEIPTS",
"penniesTxt1": "Charity Information",
"penniesTxt2": "www.pennies.org.uk",
"pennies": "Thank you for your donation of £ 0.05"
}